Package org.globus.ftp.dc

# Class SimpleTransferContext

java.lang.Object
org.globus.ftp.dc.SimpleTransferContext

All Implemented Interfaces:
  `TransferContext`

public class SimpleTransferContext extends Object implements TransferContext
transfer context for single threaded transfers using 1 data channel.

## Constructor Summary

Constructors
Constructor
Description
`SimpleTransferContext()`

## Method Summary

Modifier and Type
Method
Description
`static TransferContext`
`getDefault()`
return the default instance of this class
`Object`
`getQuitToken()`
A thread can ask for a quit token to perform the operations associated with closing the transfer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleTransferContext

public SimpleTransferContext()

## Method Details

### getDefault

public static TransferContext getDefault()
return the default instance of this class

### getQuitToken

public Object getQuitToken()
Description copied from interface: `TransferContext`
A thread can ask for a quit token to perform the operations associated with closing the transfer. The token is interpreted as a permission to perform these operations. The reason for such policy lies mainly in the nature of multithreaded transfer, where there are many transfer threads sharing the same context, but the closing should be done only once.

Specified by:
  `getQuitToken` in interface `TransferContext`
Returns:
  always non-null